## org.biojava.bio.seq.io.agave
Class AGAVEMapPositionPropHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXPropertyHandler
              org.biojava.bio.seq.io.agave.AGAVEMapPositionPropHandler

All Implemented Interfaces:
  AGAVEDbIdCallbackItf, StAXContentHandler

    public class AGAVEMapPositionPropHandler

extends StAXPropertyHandler
implements AGAVEDbIdCallbackItf

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` `AGAVE_MAP_POSITION_PROP_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`featureListener, staxenv`

Method Summary
`void` `addDbId(AGAVEDbId db_id)`
`void` `endElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` `startElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXPropertyHandler
`addHandler, endElement, getHandlerStackIterator, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_MAP_POSITION_PROP_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_MAP_POSITION_PROP_HANDLER_FACTORY

Method Detail

### addDbId

    public void addDbId(AGAVEDbId db_id)

  Specified by:
    `addDbId` in interface `AGAVEDbIdCallbackItf`

### startElementHandler

    public void startElementHandler(java.lang.String nsURI,
                                    java.lang.String localName,
                                    java.lang.String qName,
                                    org.xml.sax.Attributes attrs)
                             throws org.xml.sax.SAXException

  Description copied from class: `StAXPropertyHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXPropertyHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElementHandler

    public void endElementHandler(java.lang.String nsURI,
                                  java.lang.String localName,
                                  java.lang.String qName,
                                  StAXContentHandler handler)
                           throws org.xml.sax.SAXException

  Description copied from class: `StAXPropertyHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXPropertyHandler`
  Throws:
    `org.xml.sax.SAXException`